# ArrayObject::offsetExists

(PHP 5, PHP 7, PHP 8)

ArrayObject::offsetExists — Vérifie si un index existe

### Description

public ArrayObject::offsetExists(mixed `$key`): bool

### Liste de paramètres

`key`

  L'index à vérifier.

### Valeurs de retour

`true` if the requested index exists, otherwise `false`

### Exemples

Exemple #1 Exemple avec ArrayObject::offsetExists()

`<?php
$arrayobj = new ArrayObject(array('zero', 'one', 'example'=>'e.g.'));
var_dump($arrayobj->offsetExists(1));
var_dump($arrayobj->offsetExists('example'));
var_dump($arrayobj->offsetExists('notfound'));
?>`

L'exemple ci-dessus va afficher :

    bool(true)
    bool(true)
    bool(false)